gi-harfbuzz-0.0.3: HarfBuzz bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.HarfBuzz.Structs.MapT

Contents

- Exported types
- Methods
  - Overloaded methods

Description

No description available in the introspection data.

Synopsis

- newtype MapT = MapT (ManagedPtr MapT)

# Exported types

newtype MapT Source #

Memory-managed wrapper type.

Constructors

MapT (ManagedPtr MapT) |

#### Instances

Instances details

Eq MapT Source # |
Instance details Defined in GI.HarfBuzz.Structs.MapT Methods (==) :: MapT -> MapT -> Bool # (/=) :: MapT -> MapT -> Bool #
GBoxed MapT Source # |
Instance details Defined in GI.HarfBuzz.Structs.MapT
TypedObject MapT Source # |
Instance details Defined in GI.HarfBuzz.Structs.MapT Methods glibType :: IO GType Source #
ManagedPtrNewtype MapT Source # |
Instance details Defined in GI.HarfBuzz.Structs.MapT Methods toManagedPtr :: MapT -> ManagedPtr MapT Source #
IsGValue MapT Source # | Convert `MapT` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.HarfBuzz.Structs.MapT Methods toGValue :: MapT -> IO GValue Source # fromGValue :: GValue -> IO MapT Source #
HasParentTypes MapT Source # |
Instance details Defined in GI.HarfBuzz.Structs.MapT
type ParentTypes MapT Source # |
Instance details Defined in GI.HarfBuzz.Structs.MapT type ParentTypes MapT = '[] :: [Type]

# Methods

## Overloaded methods